Package generic.jar

# Class FileResource

java.lang.Object
generic.jar.FileResource

All Implemented Interfaces:
  `Resource`

public class FileResource extends Object implements Resource

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileResource(File file)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canWrite()`
  `boolean`
  `delete()`
  `boolean`
  `equals(Object obj)`
  `boolean`
  `exists()`
  `String`
  `getAbsolutePath()`
  `String`
  `getCanonicalPath()`
  `Resource`
  `getCanonicalResource()`
  `File`
  `getFile()`
  `File`
  `getFileSystemRoot()`
  `InputStream`
  `getInputStream()`
  `String`
  `getName()`
  `OutputStream`
  `getOutputStream()`
  `FileResource`
  `getParent()`
  `Resource`
  `getResource(String childPath)`
  `File`
  `getResourceAsFile(ResourceFile resourceFile)`
  `int`
  `hashCode()`
  `boolean`
  `isDirectory()`
  `boolean`
  `isFile()`
  `long`
  `lastModified()`
  `long`
  `length()`
  `ResourceFile[]`
  `listFiles()`
  `ResourceFile[]`
  `listFiles(ResourceFileFilter filter)`
  `boolean`
  `mkdir()`
  `String`
  `toString()`
  `URI`
  `toURI()`
  `URL`
  `toURL()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FileResource

    public FileResource(File file)

- ## Method Details

  - ### getResource

    public Resource getResource(String childPath)
    Specified by:
      `getResource` in interface `Resource`

  - ### getAbsolutePath

    public String getAbsolutePath()
    Specified by:
      `getAbsolutePath` in interface `Resource`

  - ### listFiles

    public ResourceFile[] listFiles()
    Specified by:
      `listFiles` in interface `Resource`

  - ### listFiles

    public ResourceFile[] listFiles(ResourceFileFilter filter)
    Specified by:
      `listFiles` in interface `Resource`

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `Resource`

  - ### isDirectory

    public boolean isDirectory()
    Specified by:
      `isDirectory` in interface `Resource`

  - ### toURL

    public URL toURL() throws MalformedURLException
    Specified by:
      `toURL` in interface `Resource`
    Throws:
      `MalformedURLException`

  - ### getInputStream

    public InputStream getInputStream() throws FileNotFoundException
    Specified by:
      `getInputStream` in interface `Resource`
    Throws:
      `FileNotFoundException`

  - ### getOutputStream

    public OutputStream getOutputStream() throws FileNotFoundException
    Specified by:
      `getOutputStream` in interface `Resource`
    Throws:
      `FileNotFoundException`

  - ### getParent

    public FileResource getParent()
    Specified by:
      `getParent` in interface `Resource`

  - ### lastModified

    public long lastModified()
    Specified by:
      `lastModified` in interface `Resource`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### delete

    public boolean delete()
    Specified by:
      `delete` in interface `Resource`

  - ### exists

    public boolean exists()
    Specified by:
      `exists` in interface `Resource`

  - ### getFile

    public File getFile()
    Specified by:
      `getFile` in interface `Resource`

  - ### getResourceAsFile

    public File getResourceAsFile(ResourceFile resourceFile)
    Specified by:
      `getResourceAsFile` in interface `Resource`

  - ### length

    public long length()
    Specified by:
      `length` in interface `Resource`

  - ### getCanonicalPath

    public String getCanonicalPath() throws IOException
    Specified by:
      `getCanonicalPath` in interface `Resource`
    Throws:
      `IOException`

  - ### isFile

    public boolean isFile()
    Specified by:
      `isFile` in interface `Resource`

  - ### getCanonicalResource

    public Resource getCanonicalResource()
    Specified by:
      `getCanonicalResource` in interface `Resource`

  - ### canWrite

    public boolean canWrite()
    Specified by:
      `canWrite` in interface `Resource`

  - ### mkdir

    public boolean mkdir()
    Specified by:
      `mkdir` in interface `Resource`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFileSystemRoot

    public File getFileSystemRoot()
    Specified by:
      `getFileSystemRoot` in interface `Resource`

  - ### toURI

    public URI toURI()
    Specified by:
      `toURI` in interface `Resource`